package beatleader

import (
	"fmt"
	"testing"

	"git.lxtend.com/qqbot/config"
	"git.lxtend.com/qqbot/handler"
	"git.lxtend.com/qqbot/model"
	"git.lxtend.com/qqbot/service/scoresaber"
	. "github.com/bytedance/mockey"
	. "github.com/smartystreets/goconvey/convey"
)

func init() {
	Mock((*config.Config).LoadConfig).Return(nil).Build()
}

func TestBlPlus(t *testing.T) {
	Convey("TestBlPlus", t, func() {
		Mock(handler.RegisterHandler).Return().Build()
		Mock(handler.RegisterHelpInform).Return().Build()
		Mock(handler.RegisterFrontMatchHandler).Return().Build()
		Mock(scoresaber.GetSSID).Return("76561198168309881", nil).Build()
		fmt.Println(blPlus(model.Message{
			RawMsg: "bl+1",
			UserId: 1234567890,
		}))
	})
}
